Aller au contenu

Lire l’état d’une tâche de rédaction

GET/api/public/v1/aip/jobs/{job_id} beta

The state of one aip_jobs row: queued → running → succeeded | failed. A failed job carries error as {code, message} — never a raw provider response — and a succeeded one whatever its kind produces in result (a replay one page at a time, rule_page).

Fenêtre de terminal
curl --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/aip/jobs/<job_id>' \
-H "Authorization: Bearer $OPENLATCH_API_KEY"
Rôle dans l’organisationCe point de terminaison
ownerAutorisé
adminAutorisé
editorAutorisé
viewerNon autorisé

Une clé porte le rôle que son propriétaire détient dans l’organisation. Voir Authentification.

Portée de clé d’API : aip:read

ParamètreTypeDescription
job_idstring (uuid)Obligatoire.
ParamètreTypeDescription
rule_pageintegerA replay result's page, 1-based.
ChampTypeDescription
dataobjectObligatoire. `GET /aip/jobs/{job_id}` — one authoring job.
data.created_atstring (date-time)Obligatoire.
data.errorobject or null
data.finished_atstring (date-time) or null
data.heartbeat_atstring (date-time) or null
data.idstringObligatoire.
data.kindstringObligatoire.
data.policy_idstring or null
data.progressintegerObligatoire.
data.resultobject or null
data.source_idstring or null
data.started_atstring (date-time) or null
data.statestringObligatoire.
data.stepstring or null
{
"data": {
"created_at": "2026-01-15T14:32:05Z",
"error": {},
"finished_at": "2026-01-15T14:32:05Z",
"heartbeat_at": "2026-01-15T14:32:05Z",
"id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"kind": "string",
"policy_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"progress": 3,
"result": {},
"source_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"started_at": "2026-01-15T14:32:05Z",
"state": "string",
"step": "string"
}
}